MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024717Open CASCADE[OCCT] OCCT:Visualizationpublic2014-03-12 20:072014-11-11 13:01
Reporterapl 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024717: TKOpenGl - globally defined clipping planes blink when operating with view
DescriptionWhen redrawing the view, the global clipping planes are recalculated for the Model-View state which is one frame behind.

The problem occurred after integration of cameras. This problem is not reproduced on OCCT6.7.0 (integration of new clipping planes) and earlier version.

The clipping planes should be defined after setting up viewer model-view matrices. The test case or draw command should be also provided.
Steps To Reproduce
vinit
vsetdispmode 1
box b 1 1 1
vdisplay b
vclipplane create pln1
vclipplane set pln1 view Driver1/Viewer1/View1
vclipplane change pln1 equation 0 1 0 -0.5
vfit
# nothing is seen
vrepaint
# everything is ok


Also the problem is seen after:
test bugs vis bug24902_1

just start rotating or panning the scene --> ugly artifacts appear...
Additional information
and documentation updates
List of changes:

Corrected bug in OpenGl_View::RedrawScene(..) : viewer clipping planes were defined in wrong view transformation space.
TagsNo tags attached.
Test case numberbugs vis(004) bug24717
Attached Files

- Relationships

-  Notes
(0032649)
git (administrator)
2014-10-03 16:40

Branch CR24717 has been created by apl.

SHA-1: c87f56e928b2bec40e04c04953fc9c77c4e1bd6f


Detailed log of new commits:

Author: apl
Date: Fri Oct 3 16:40:03 2014 +0400

    0024717: TKOpenGl - globally defined clipping planes blink when operating with view
    
    Specify viewer (global) clippings in correct view transformation space.
(0032651)
apl (developer)
2014-10-03 16:45

Dear kgv,

Could you please review branch CR24717?
(0032660)
kgv (developer)
2014-10-03 17:05

Please test the patch.
(0032663)
git (administrator)
2014-10-03 17:16

Branch CR24717 has been updated forcibly by mkv.

SHA-1: f0afc5727a3d3f3d1e5ebcdc4d3945f30143fd01
(0032705)
mkv (tester)
2014-10-06 13:21

Dear BugMaster,
Branch CR24717 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: f0afc5727a3d3f3d1e5ebcdc4d3945f30143fd01

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 199 (199 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR24717-master-occt/Debian60-64/bugs/vis/bug24717.html [^]
http://occt-tests/CR24717-master-occt/Windows-32-VC10/bugs/vis/bug24717.html [^]
bugs vis(004) bug24717: OK

Testing on Linux:
occt component :
Total MEMORY difference: 397164356 / 398004436
Total CPU difference: 47749.97000000009 / 47309.68000000025
products component :
Total MEMORY difference: 129757084 / 130037036
Total CPU difference: 16264.080000000009 / 17664.199999999968

Testing on Windows:
occt component :
Total MEMORY difference: 279077600 / 278287368
Total CPU difference: 40325.515625 / 32988.859375
products component :
Total MEMORY difference: 71002740 / 69892128
Total CPU difference: 16625.109375 / 10861.0625

There are no differences in images found by testdiff.
(0032706)
mkv (tester)
2014-10-06 13:23

Also the problem of test/bugs/vis(004)/bug24902_1 is fixed.
(0032707)
git (administrator)
2014-10-06 13:24

Branch CR24717 has been updated by mkv.

SHA-1: 67de7fc4e9a1892fc93efbdb4efc04d8d08345a0


Detailed log of new commits:

Author: mkv
Date: Mon Oct 6 13:20:09 2014 +0400

    Correction of test case for issue CR24717

(0033439)
git (administrator)
2014-10-21 16:43

Branch CR24717 has been deleted by inv.

SHA-1: 67de7fc4e9a1892fc93efbdb4efc04d8d08345a0

- Related Changesets
occt: master cddbf6a9
Timestamp: 2014-10-09 09:46:52
Author: apl
Committer: bugmaster
Details ] Diff ]
0024717: TKOpenGl - globally defined clipping planes blink when operating with view

Specify viewer (global) clippings in correct view transformation space.

Correction of test case for issue CR24717
mod - src/OpenGl/OpenGl_View_2.cxx Diff ] File ]
add - tests/bugs/vis/bug24717 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-12 20:07 apl New Issue
2014-03-12 20:07 apl Assigned To => apl
2014-03-12 20:08 apl Relationship added related to 0024001
2014-03-12 20:51 kgv Product Version 6.7.0 =>
2014-03-12 20:51 kgv Steps to Reproduce Updated View Revisions
2014-04-04 18:09 abv Target Version 6.7.1 => 6.8.0
2014-08-06 19:13 san Steps to Reproduce Updated View Revisions
2014-08-06 19:14 san Status new => assigned
2014-09-24 14:57 kgv Assigned To apl => duv
2014-10-03 13:00 apl Assigned To duv => apl
2014-10-03 15:00 apl Steps to Reproduce Updated View Revisions
2014-10-03 16:40 git Note Added: 0032649
2014-10-03 16:44 apl Additional Information Updated View Revisions
2014-10-03 16:45 apl Note Added: 0032651
2014-10-03 16:45 apl Assigned To apl => kgv
2014-10-03 16:45 apl Status assigned => resolved
2014-10-03 17:05 kgv Note Added: 0032660
2014-10-03 17:05 kgv Assigned To kgv => bugmaster
2014-10-03 17:05 kgv Status resolved => reviewed
2014-10-03 17:09 mkv Assigned To bugmaster => mkv
2014-10-03 17:16 git Note Added: 0032663
2014-10-06 13:21 mkv Note Added: 0032705
2014-10-06 13:21 mkv Assigned To mkv => bugmaster
2014-10-06 13:21 mkv Status reviewed => tested
2014-10-06 13:23 mkv Note Added: 0032706
2014-10-06 13:24 mkv Test case number => bugs vis(004) bug24717
2014-10-06 13:24 git Note Added: 0032707
2014-10-13 17:52 bugmaster Changeset attached => occt master cddbf6a9
2014-10-13 17:52 bugmaster Status tested => verified
2014-10-13 17:52 bugmaster Resolution open => fixed
2014-10-21 16:43 git Note Added: 0033439
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:01 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker